| IOLink C# 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | Properties | List of all members
IOLink.VectorXd Class Reference

A dynamically sized arithmetic vector. More...

Inheritance diagram for IOLink.VectorXd:

## Public Member Functions
| VectorXd (global::System.IntPtr cPtr, bool cMemoryOwn)
void | Dispose ()
| VectorXd (params double[] values)
override bool | Equals (object obj)
| VectorXd ()
| Creates an empty vector.
| VectorXd (uint size)
| Creates an unitialized vector.
| VectorXd (VectorXd other)
uint | Size ()
| Returns the size of the vector, which also correspond to vector number of dimension.
double | At (uint index)
| Access vector's value at given index.
void | SetAt (uint index, double value)
| Set value as given index.
double | SquaredLength ()
| Returns the vector's norm, squared.
double | Length ()
| Returns the vector's norm.
void | Normalize ()
| Normalize the vector.
string | ToString ()
double | Dot (VectorXd v)
| Dot product.
VectorXd | Cross (VectorXd v)
| Cross product of two vectors.

## Static Public Member Functions
static global::System.Runtime.InteropServices.HandleRef | getCPtr (VectorXd obj)
static global::System.Runtime.InteropServices.HandleRef | swigRelease (VectorXd obj)
static bool | operator== (VectorXd v1, VectorXd v2)
static bool | operator!= (VectorXd v1, VectorXd v2)
static VectorXd | operator+ (VectorXd v1, VectorXd v2)
static VectorXd | operator- (VectorXd v1, VectorXd v2)
static VectorXd | operator* (VectorXd v, double value)
static VectorXd | operator* (double value, VectorXd v)
static VectorXd | operator/ (VectorXd v, double value)
static VectorXd | operator* (VectorXd v1, VectorXd v2)
static VectorXd | operator/ (VectorXd v1, VectorXd v2)
static VectorXd | CreateUniform (uint size, double value)
| Creates a vector filled with one value.
static bool | InternalNotEqual (VectorXd v1, VectorXd v2)
static VectorXd | InternalDivides (VectorXd v, double value)
static VectorXd | InternalDivides (VectorXd v1, VectorXd v2)

## Protected Member Functions
virtual void | Dispose (bool disposing)

## Protected Attributes
bool | swigCMemOwn

## Properties
double | this[uint index]`[get, set]`

## Detailed Description

A dynamically sized arithmetic vector.

## Constructor & Destructor Documentation

## ◆ VectorXd()

IOLink.VectorXd.VectorXd | ( | uint | size | ) |
| inline

Creates an unitialized vector.

Parameters

  size | The size of the vector.

## Member Function Documentation

## ◆ CreateUniform()

static VectorXd IOLink.VectorXd.CreateUniform | ( | uint | size,
|  | double | value
| ) |  |
| inline static

Creates a vector filled with one value.

Parameters

  size | The size of the vector.
  value | The value used to fill the vector.

## ◆ Cross()

VectorXd IOLink.VectorXd.Cross | ( | VectorXd | v | ) |
| inline

Cross product of two vectors.

Work only for vectors of size 3.

## ◆ Length()

double IOLink.VectorXd.Length | ( |  | ) |
| inline

Returns the vector's norm.

Specifically, it is the L1 norm that's computed here.

## ◆ SquaredLength()

double IOLink.VectorXd.SquaredLength | ( |  | ) |
| inline

Returns the vector's norm, squared.

Specifically, it is the L1 norm that's computed here.

The documentation for this class was generated from the following file:

- Release/net/generated/VectorXd.cs